Orxonox: orxonox::FadingBillboard Class Reference

# orxonox::FadingBillboard Class Reference

`#include <src/orxonox/objects/worldentities/FadingBillboard.h>`

Inheritance diagram for orxonox::FadingBillboard:

List of all members.

## Public Member Functions

virtual void | changedActivity ()
| This function gets called if the activity of the object changes.
virtual void | changedVisibility ()
| This function gets called if the visibility of the object changes.
| FadingBillboard (BaseObject *creator)
const ColourValue & | getFadedColour () const
float | getTurnOffTime () const
float | getTurnOnTime () const
void | registerVariables ()
void | setTurnOffTime (float turnofftime)
void | setTurnOnTime (float turnontime)
virtual void | tick (float dt)
| Gets called every frame.
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~FadingBillboard ()

## Protected Member Functions

virtual void | changedColour ()
virtual void | poststopturnonoff ()
virtual void | startturnonoff ()
virtual void | stopturnonoff ()

## Protected Attributes

char | changedirection_
ColourValue | fadedColour_
float | postprocessingtime_
float | turnofftime_
Timer< FadingBillboard > | turnonofftimer_
float | turnontime_

## Constructor & Destructor Documentation

orxonox::FadingBillboard::FadingBillboard | ( | BaseObject * | creator | ) |

References changedirection_, fadedColour_, postprocessingtime_, RegisterObject, registerVariables(), turnofftime_, and turnontime_.

orxonox::FadingBillboard::~FadingBillboard | ( |  | ) | `[virtual]`

## Member Function Documentation

void orxonox::FadingBillboard::changedActivity | ( |  | ) | `[virtual]`

This function gets called if the activity of the object changes.

Reimplemented from orxonox::BaseObject.

References startturnonoff(), and SUPER.

void orxonox::FadingBillboard::changedColour | ( |  | ) | `[protected, virtual]`

Reimplemented from orxonox::Billboard.

Reimplemented in orxonox::Backlight.

References orxonox::Billboard::changedColour(), fadedColour_, orxonox::Billboard::getBillboardSet(), orxonox::Billboard::getColour(), orxonox::BaseObject::isActive(), and orxonox::BillboardSet::setColour().

Referenced by orxonox::Backlight::changedColour().

void orxonox::FadingBillboard::changedVisibility | ( |  | ) | `[virtual]`

This function gets called if the visibility of the object changes.

Reimplemented from orxonox::Billboard.

Reimplemented in orxonox::Backlight.

References changedirection_, orxonox::Billboard::getBillboardSet(), orxonox::BaseObject::isActive(), orxonox::BaseObject::isVisible(), orxonox::BillboardSet::setVisible(), and SUPER.

const ColourValue& orxonox::FadingBillboard::getFadedColour | ( |  | ) | const`[inline]`

Referenced by orxonox::Backlight::changedColour(), and orxonox::Backlight::stopturnonoff().

float orxonox::FadingBillboard::getTurnOffTime | ( |  | ) | const`[inline]`

Referenced by XMLPort().

float orxonox::FadingBillboard::getTurnOnTime | ( |  | ) | const`[inline]`

Referenced by XMLPort().

void orxonox::FadingBillboard::poststopturnonoff | ( |  | ) | `[protected, virtual]`

Reimplemented in orxonox::Backlight.

References orxonox::Billboard::getBillboardSet(), and orxonox::BillboardSet::setVisible().

Referenced by orxonox::Backlight::poststopturnonoff(), and stopturnonoff().

void orxonox::FadingBillboard::registerVariables | ( |  | ) |

Reimplemented from orxonox::Billboard.

Reimplemented in orxonox::Backlight.

References orxonox::Synchronisable::registerVariable(), orxonox::VariableDirection::ToClient, turnofftime_, and turnontime_.

Referenced by FadingBillboard().

void orxonox::FadingBillboard::setTurnOffTime | ( | float | turnofftime | ) | `[inline]`

Referenced by XMLPort().

void orxonox::FadingBillboard::setTurnOnTime | ( | float | turnontime | ) | `[inline]`

Referenced by XMLPort().

void orxonox::FadingBillboard::startturnonoff | ( |  | ) | `[protected, virtual]`

Reimplemented in orxonox::Backlight.

References changedirection_, orxonox::createExecutor(), orxonox::Billboard::getBillboardSet(), orxonox::BaseObject::isActive(), orxonox::BaseObject::isVisible(), orxonox::BillboardSet::setVisible(), stopturnonoff(), turnofftime_, turnonofftimer_, and turnontime_.

Referenced by changedActivity(), and orxonox::Backlight::startturnonoff().

void orxonox::FadingBillboard::stopturnonoff | ( |  | ) | `[protected, virtual]`

Reimplemented in orxonox::Backlight.

References changedirection_, orxonox::createExecutor(), fadedColour_, orxonox::Billboard::getBillboardSet(), orxonox::Billboard::getColour(), postprocessingtime_, poststopturnonoff(), orxonox::BillboardSet::setColour(), and turnonofftimer_.

Referenced by startturnonoff(), and orxonox::Backlight::stopturnonoff().

void orxonox::FadingBillboard::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Implements orxonox::Tickable.

Reimplemented in orxonox::Backlight.

References changedirection_, orxonox::MT_Type::ColourValue, fadedColour_, orxonox::Billboard::getBillboardSet(), orxonox::Billboard::getColour(), orxonox::BillboardSet::setColour(), SUPER, turnofftime_, and turnontime_.

void orxonox::FadingBillboard::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::Billboard.

Reimplemented in orxonox::Backlight.

References getTurnOffTime(), getTurnOnTime(), setTurnOffTime(), setTurnOnTime(), SUPER, and XMLPortParam.

## Member Data Documentation

char orxonox::FadingBillboard::changedirection_`[protected]`

Referenced by changedVisibility(), FadingBillboard(), startturnonoff(), stopturnonoff(), tick(), and orxonox::Backlight::tick().

ColourValue orxonox::FadingBillboard::fadedColour_`[protected]`

Referenced by changedColour(), FadingBillboard(), stopturnonoff(), and tick().

float orxonox::FadingBillboard::postprocessingtime_`[protected]`

Referenced by FadingBillboard(), stopturnonoff(), and orxonox::Backlight::stopturnonoff().

float orxonox::FadingBillboard::turnofftime_`[protected]`

Referenced by FadingBillboard(), registerVariables(), startturnonoff(), orxonox::Backlight::stopturnonoff(), and tick().

Timer<FadingBillboard> orxonox::FadingBillboard::turnonofftimer_`[protected]`

Referenced by startturnonoff(), and stopturnonoff().

float orxonox::FadingBillboard::turnontime_`[protected]`

Referenced by FadingBillboard(), registerVariables(), startturnonoff(), and tick().

The documentation for this class was generated from the following files:

- src/orxonox/objects/worldentities/FadingBillboard.h
- src/orxonox/objects/worldentities/FadingBillboard.cc